package com.github.nullptroma.wallenc.domain.vault.network.yandexdisk.repository

import com.github.nullptroma.wallenc.domain.vault.network.yandexdisk.YandexDiskApiFactory
import kotlinx.coroutines.CoroutineDispatcher
import java.util.UUID

class YandexDiskRepositoryFactory(
    private val apiFactory: YandexDiskApiFactory,
    private val ioDispatcher: CoroutineDispatcher,
) {
    fun create(vaultUuid: UUID): YandexDiskRepository =
        YandexDiskRepository(
            api = apiFactory.createApiForVault(vaultUuid),
            rawHttp = apiFactory.rawHttpClient,
            ioDispatcher = ioDispatcher,
        )
}
